summaryrefslogtreecommitdiffstats
path: root/unstable/gnump3d/gnump3d.initd
diff options
context:
space:
mode:
Diffstat (limited to 'unstable/gnump3d/gnump3d.initd')
-rw-r--r--unstable/gnump3d/gnump3d.initd37
1 files changed, 37 insertions, 0 deletions
diff --git a/unstable/gnump3d/gnump3d.initd b/unstable/gnump3d/gnump3d.initd
new file mode 100644
index 00000000..43290ee3
--- /dev/null
+++ b/unstable/gnump3d/gnump3d.initd
@@ -0,0 +1,37 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/www/viewcvs.gentoo.org/raw_cvs/gentoo-x86/media-sound/gnump3d/files/gnump3d.init.d,v 1.4 2008/06/03 14:52:33 beandog Exp $
+
+opts="start stop index"
+
+depend() {
+ need net
+ after netmount nfsmount
+}
+
+start() {
+ ebegin "Starting gnump3d"
+
+ if [ ${DO_INDEX} -eq 1 ]; then
+ ebegin "Updating index of music files (may take a while for the first time)"
+ /usr/bin/gnump3d-index
+ eend $?
+ fi
+
+ start-stop-daemon --start --quiet --exec /usr/bin/gnump3d2 --make-pidfile \
+ --pidfile /var/run/gnump3d.pid --background -- --quiet
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping gnump3d"
+ start-stop-daemon --stop --quiet --pidfile /var/run/gnump3d.pid
+ eend $?
+}
+
+index() {
+ ebegin "Indexing music files"
+ /usr/bin/gnump3d-index
+ eend $?
+}